package cn.iocoder.yudao.module.wms.dal.mysql.barcode;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.wms.dal.dataobject.barcode.BarCodeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wms.controller.admin.barcode.vo.*;

/**
 * 条码管理 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface BarCodeMapper extends BaseMapperX<BarCodeDO> {

    default PageResult<BarCodeDO> selectPage(BarCodePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<BarCodeDO>()
                .likeIfPresent(BarCodeDO::getName, reqVO.getName())
                .eqIfPresent(BarCodeDO::getLength, reqVO.getLength())
                .eqIfPresent(BarCodeDO::getWidth, reqVO.getWidth())
                .eqIfPresent(BarCodeDO::getHigh, reqVO.getHigh())
                .eqIfPresent(BarCodeDO::getStatus, reqVO.getStatus())
                .eqIfPresent(BarCodeDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(BarCodeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(BarCodeDO::getId));
    }

}